Subject: Re: bootstrap w/gcc-4.8.0 + nonzero MALLOC_PERTURB_ -> ./temacs segfault

From: Jim Meyering <[email-masked]>
Date: Tue, 10 Apr 2012 13:07:27 +0200

Eli Zaretskii wrote:
>> From: Jim Meyering <[email-masked]>
>> Date: Tue, 10 Apr 2012 11:13:13 +0200
>> Cc: [email-masked]
>>
>> Jim Meyering wrote:
>> > Jim Meyering wrote:
>> >> Just a heads-up, since release is so near:
>> >>
>> >>     gcc-4.8.0 vs emacs+MALLOC_PERTURB_ = ./temacs segfault
>> >>     http://debbugs.gnu.org/11144
>> >>
>> >> It would be a shame if gcc-4.8.0 (even test a release) were to
>> >> fail to bootstrap emacs with MALLOC_PERTURB_ set to nonzero.
>> >
>> > This seems to have been fixed, since with the latest from gcc/svn,
>> >   git-svn-id: svn+ssh://gcc.gnu.org/svn/gcc/trunk@186106
>> > 138bc75d-0d04-0410-961f-82ee72b054a4
>> > I can now bootstrap the latest emacs.
>>
>> This has struck again, now using gcc version 4.8.0 20120406
>> I've reopened the bug.
>
> Why should we consider this an Emacs bug?  Is there any evidence that
> it's not a GCC bug, especially since it is coming and going depending
> on GCC commits, and that you are using unreleased version of GCC?

I do not know enough about this to claim it is due to a bug in gcc or in
emacs.  However, note that this report shows a probable use of freed memory
in temacs, and that generally implicates the application, not the compiler.

One additional data point: I've just built today's gcc version 4.8.0 20120410,
and have used it to bootstrap emacs(trunk) four times with no such failure.